Index: bf_sw/source/core/layout/sw_trvlfrm.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/layout/sw_trvlfrm.cxx,v
retrieving revision 1.5
retrieving revision 1.5.72.1
diff -u -r1.5 -r1.5.72.1
--- bf_sw/source/core/layout/sw_trvlfrm.cxx	8 Sep 2005 09:53:38 -0000	1.5
+++ bf_sw/source/core/layout/sw_trvlfrm.cxx	27 Apr 2006 11:51:52 -0000	1.5.72.1
@@ -1058,7 +1058,7 @@
 /*N*/ {
 /*N*/ 	//Jetzt die Entfernung zwischen den beiden Punkten berechnen.
 /*N*/ 	//'Delta' X^2 + 'Delta'Y^2 = 'Entfernung'^2
-/*N*/ 	ULONG dX = Max( rPt1.X(), rPt2.X() ) -
+/*N*/ 	sal_uInt32 dX = Max( rPt1.X(), rPt2.X() ) -
 /*N*/ 			   Min( rPt1.X(), rPt2.X() ),
 /*N*/ 		  dY = Max( rPt1.Y(), rPt2.Y() ) -
 /*N*/ 			   Min( rPt1.Y(), rPt2.Y() );
Index: bf_sw/source/core/sw3io/sw3imp.hxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/sw3io/sw3imp.hxx,v
retrieving revision 1.6
retrieving revision 1.6.72.1
diff -u -r1.6 -r1.6.72.1
--- bf_sw/source/core/sw3io/sw3imp.hxx	8 Sep 2005 09:58:01 -0000	1.6
+++ bf_sw/source/core/sw3io/sw3imp.hxx	28 Apr 2006 08:58:38 -0000	1.6.72.1
@@ -308,7 +308,7 @@
 	void   Store( SvStream& );
 
 	static USHORT ConvertFromOldPoolId( USHORT nId, USHORT nVersion );
-	static USHORT ConvertToOldPoolId( USHORT nId, ULONG nFFVersion );
+	static USHORT ConvertToOldPoolId( USHORT nId, sal_uInt32 nFFVersion );
 };
 
 // Informationen, die nur beim Export eines Doks benoetigt werden
@@ -437,8 +437,8 @@
 	SvUShorts*		   pSectionDepths;
 	Sw3Fmts*		   pConvToSymbolFmts;
 	SwHiddenDrawObjList_Impl *pHiddenDrawObjs;
-	ULONG			   nCurPercent;	// Aktueller Stand der Prozentanzeige
-	ULONG			   nEndPercent;	// Maximalwert der Prozentanzeige
+	sal_uInt32		   nCurPercent;	// Aktueller Stand der Prozentanzeige
+	sal_uInt32		   nEndPercent;	// Maximalwert der Prozentanzeige
 	UINT32			   nDate,nTime;	// Zeitpunkt der Speicherung
 	long			   nSizeDivFac;	// Divisionsfaktor fuer FRMSIZE-Attribs
 
@@ -530,8 +530,8 @@
 	BOOL OpenRec( BYTE cType );		// Record oeffnen
 	void CloseRec( BYTE cType );	// Record schliessen
 	void SkipRec();					// Record uebergehen
-    void InsertRecordSize( ULONG nPos, ULONG nSize );
-    ULONG GetRecordSize( ULONG nPos );
+    void InsertRecordSize( sal_uInt32 nPos, sal_uInt32 nSize );
+    sal_uInt32 GetRecordSize( sal_uInt32 nPos );
 	BOOL HasRecSizes() const { return pRecSizes != 0; }
     void FlushRecSizes();
     void InRecSizes( ULONG nRecPos );
@@ -556,8 +556,8 @@
 										sal_Char cSrcDelim,
 										sal_Unicode cDelim,
 										rtl_TextEncoding eSource );
-	static ULONG InULong( SvStream& ); 		   // ULONG komprimiert lesen
-	static void OutULong( SvStream&, ULONG );  // ULONG komprimiert schreiben
+	static sal_uInt32 InULong( SvStream& ); 		   // ULONG komprimiert lesen
+	static void OutULong( SvStream&, sal_uInt32 );  // ULONG komprimiert schreiben
 	inline SvStream& InString( SvStream& rStrm, String& rStr );
 	inline SvStream& OutString( SvStream& rStrm, const String& rStr );
 
@@ -579,9 +579,9 @@
 	inline BOOL IsVersion( USHORT nMinVers1, USHORT nMaxVers1,
 						   USHORT nMinVers2, USHORT nMaxVers2 ) const;
 
-	void OpenPercentBar( ULONG, ULONG );
+	void OpenPercentBar( sal_uInt32, sal_uInt32 );
 	void ClosePercentBar();
-	void SetPercentBar( ULONG );
+	void SetPercentBar( sal_uInt32 );
 
 	void Cleanup( BOOL bConnectPageDescs = TRUE );	// Nach Einlesen aufraeumen
 	void ChangeFontItemCharSet();
Index: bf_sw/source/core/sw3io/sw_sw3attr.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/sw3io/sw_sw3attr.cxx,v
retrieving revision 1.5
retrieving revision 1.5.72.1
diff -u -r1.5 -r1.5.72.1
--- bf_sw/source/core/sw3io/sw_sw3attr.cxx	8 Sep 2005 09:59:09 -0000	1.5
+++ bf_sw/source/core/sw3io/sw_sw3attr.cxx	28 Apr 2006 08:58:38 -0000	1.5.72.1
@@ -1007,7 +1007,7 @@
 /*N*/ 	ASSERT( nIVer != USHRT_MAX,
 /*N*/ 			"SwFmtLineNumber: Wer faengt da Version USHRT_MAX nicht ab?" );
 /*N*/ 
-/*N*/ 	rStrm << nStartValue << IsCount();
+/*N*/ 	rStrm << static_cast<sal_uInt32>(nStartValue) << IsCount();
 /*N*/ 	return rStrm;
 /*N*/ }
 
@@ -1016,7 +1016,7 @@
 /*N*/ SfxPoolItem* SwFmtLineNumber::Create( SvStream& rStrm, USHORT ) const
 /*N*/ {
 /*N*/ 	SwFmtLineNumber *pTmp = new SwFmtLineNumber;
-/*N*/ 	ULONG nTmp; BOOL bTmp;
+/*N*/ 	sal_uInt32 nTmp; BOOL bTmp;
 /*N*/ 	rStrm >> nTmp; pTmp->SetStartValue( nTmp );
 /*N*/ 	rStrm >> bTmp; pTmp->SetCountLines( bTmp );
 /*N*/ 	return pTmp;
Index: bf_sw/source/core/sw3io/sw_sw3field.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/sw3io/sw_sw3field.cxx,v
retrieving revision 1.8
retrieving revision 1.8.70.1
diff -u -r1.8 -r1.8.70.1
--- bf_sw/source/core/sw3io/sw_sw3field.cxx	8 Sep 2005 10:00:25 -0000	1.8
+++ bf_sw/source/core/sw3io/sw_sw3field.cxx	28 Apr 2006 08:58:38 -0000	1.8.70.1
@@ -239,7 +239,7 @@
 };
 
 /*N*/ void sw3io_ConvertFromOldField( SwDoc& rDoc, USHORT& rWhich,
-/*N*/ 								USHORT& rSubType, ULONG &rFmt,
+/*N*/ 								USHORT& rSubType, UINT32 &rFmt,
 /*N*/ 								USHORT nVersion )
 /*N*/ {
 /*N*/ 	const OldFormats *pOldFmt = 0L;
@@ -347,10 +347,10 @@
 /*N*/ }
 
 /*N*/ void sw3io_ConvertToOldField( const SwField* pFld, USHORT& rWhich,
-/*N*/ 							  ULONG& rFmt, ULONG nFFVersion )
+/*N*/ 							  UINT32& rFmt, ULONG nFFVersion )
 /*N*/ {
 /*N*/ 	const OldFormats *pOldFmt = 0L;
-/*N*/ 	ULONG nOldFmt = rFmt;
+/*N*/ 	UINT32 nOldFmt = rFmt;
 /*N*/ 
 /*N*/ 	switch( rWhich )
 /*N*/ 	{
@@ -444,7 +444,7 @@
 /*N*/ 			while( pOldFmt[i].eFormatIdx != NF_NUMERIC_START ||
 /*N*/ 				   pOldFmt[i].nOldFormat )
 /*N*/ 			{
-/*N*/ 				ULONG nKey = pFormatter->GetFormatIndex(
+/*N*/ 				sal_uInt32 nKey = pFormatter->GetFormatIndex(
 /*N*/ 							pOldFmt[i].eFormatIdx, pEntry->GetLanguage() );
 /*N*/ 
 /*N*/ 				if( nOldFmt == nKey )
@@ -875,7 +875,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InDBField40( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 								USHORT nSubType, ULONG& rFmt )
+/*N*/ 								USHORT nSubType, UINT32& rFmt )
 /*N*/ {
 /*N*/ 	pType = 0;
 /*N*/ 	String aName;
@@ -932,7 +932,7 @@
 /*N*/ }
 
 /*N*/ SwField* lcl_sw3io_InDBField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 							  USHORT nSubType, ULONG& rFmt )
+/*N*/ 							  USHORT nSubType, UINT32& rFmt )
 /*N*/ {
 /*N*/ 	pType = 0;
 /*N*/ 	String aExpand;
@@ -1038,7 +1038,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InFileNameField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									USHORT, ULONG& rFmt )
+/*N*/ 									USHORT, UINT32& rFmt )
 /*N*/ {
 /*N*/ 	// Das fixe Feld gibt es erst in der 5.1. Da das Fileformat zur 5.0
 /*N*/ 	// kompatibel geblieben ist und die 5.0 das Fixed-Flag nicht loescht,
@@ -1068,7 +1068,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InDBNameField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 								  USHORT, ULONG& )
+/*N*/ 								  USHORT, UINT32& )
 /*N*/ {
 /*N*/ 	String aDBName;
 /*N*/ 	if( rIo.IsVersion( SWG_MULTIDB, SWG_EXPORT31, SWG_DESKTOP40 ) )
@@ -1101,7 +1101,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InDateField40( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 								  USHORT nSubType, ULONG& )
+/*N*/ 								  USHORT nSubType, UINT32& )
 /*N*/ { //SW40.SDW  
 /*N*/ 	SwDateTimeField* pFld =
 /*N*/ 		new SwDateTimeField( (SwDateTimeFieldType *)pType, DATEFLD );
@@ -1113,7 +1113,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InTimeField40( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 								  USHORT nSubType, ULONG& )
+/*N*/ 								  USHORT nSubType, UINT32& )
 /*N*/ {
             SwDateTimeField* pFld =
                 new SwDateTimeField( (SwDateTimeFieldType*)pType, TIMEFLD );
@@ -1125,7 +1125,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InPageNumberField40( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 										USHORT, ULONG& rFmt )
+/*N*/ 										USHORT, UINT32& rFmt )
 /*N*/ {
 /*N*/ 	INT16 nOff;
 /*N*/ 	UINT16 nSub;
@@ -1147,7 +1147,7 @@
 /*N*/ }
 
 /*N*/ SwField* lcl_sw3io_InPageNumberField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									  USHORT nSubType, ULONG& rFmt )
+/*N*/ 									  USHORT nSubType, UINT32& rFmt )
 /*N*/ {
 /*N*/ 	INT16 nOff;
 /*N*/ 	String sUserStr;
@@ -1192,7 +1192,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InUserField40( Sw3IoImp& rIo, SwFieldType *pType,
-/*N*/ 								  USHORT nSubType, ULONG& rFmt )
+/*N*/ 								  USHORT nSubType, UINT32& rFmt )
 /*N*/ {
 /*N*/ 	pType = 0;
 /*N*/ 	if( rIo.nVersion < SWG_SHORTFIELDS )
@@ -1222,7 +1222,7 @@
 /*N*/ }
 
 /*N*/ SwField* lcl_sw3io_InUserField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 								USHORT nSubType, ULONG& )
+/*N*/ 								USHORT nSubType, UINT32& )
 /*N*/ {
 /*N*/ 	pType = 0;
 /*N*/ 
@@ -1251,7 +1251,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InGetRefField40( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									USHORT, ULONG& rFmt )
+/*N*/ 									USHORT, UINT32& rFmt )
 /*N*/ {
 /*N*/ 	String aName, aExpand;
 /*N*/ 	UINT16 nFmt16 = 0, nSubType, nSeqNo;
@@ -1290,7 +1290,7 @@
 /*N*/ }
 
 /*N*/ SwField* lcl_sw3io_InGetRefField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 								  USHORT nSubType, ULONG& )
+/*N*/ 								  USHORT nSubType, UINT32& )
 /*N*/ {
 /*N*/ 	String aName, aExpand;
 /*N*/ 	UINT16 nFmt = 0, nSeqNo;
@@ -1355,7 +1355,7 @@
 /*N*/ }
 
 /*N*/ SwField* lcl_sw3io_InHiddenTxtField40( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									   USHORT, ULONG& )
+/*N*/ 									   USHORT, UINT32& )
 /*N*/ { //SW40.SDW  
 /*N*/ 	BYTE cFlags;
 /*N*/ 	USHORT nSubType;
@@ -1381,7 +1381,7 @@
 /*N*/ }
 
 /*N*/ SwField* lcl_sw3io_InHiddenTxtField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									 USHORT nSubType, ULONG& )
+/*N*/ 									 USHORT nSubType, UINT32& )
 /*N*/ {
 /*N*/ 	BYTE cFlags;
 /*N*/ 	String aText, aCond;
@@ -1474,7 +1474,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InPostItField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 								  USHORT, ULONG& )
+/*N*/ 								  USHORT, UINT32& )
 /*N*/ {
         INT32 nDate;
         String aAuthor, aText;
@@ -1495,7 +1495,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InDateTimeField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									USHORT nSubType, ULONG& )
+/*N*/ 									USHORT nSubType, UINT32& )
 /*N*/ {
 /*N*/ 	double	fVal;
 /*N*/ 
@@ -1524,7 +1524,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InFixDateField40( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									 USHORT, ULONG& )
+/*N*/ 									 USHORT, UINT32& )
 /*N*/ {
 /*N*/ 	INT32 nVal;
 /*N*/ 	*rIo.pStrm >> nVal;
@@ -1544,7 +1544,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InFixTimeField40( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									 USHORT, ULONG& )
+/*N*/ 									 USHORT, UINT32& )
 /*N*/ {
         INT32 nVal;
         *rIo.pStrm >> nVal;
@@ -1563,7 +1563,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InAuthorField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 								  USHORT, ULONG& )
+/*N*/ 								  USHORT, UINT32& )
 /*N*/ {
 /*N*/ 	SwAuthorField *pFld =
 /*N*/ 		new SwAuthorField( (SwAuthorFieldType*)pType );
@@ -1587,7 +1587,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InChapterField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 								   USHORT, ULONG& )
+/*N*/ 								   USHORT, UINT32& )
 /*N*/ {
 /*N*/ 	SwChapterField* pFld = new SwChapterField( (SwChapterFieldType*)pType );
 /*N*/ 	if( rIo.nVersion >= SWG_OLENAME )
@@ -1613,7 +1613,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InDocStatField40( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									 USHORT, ULONG& rFmt )
+/*N*/ 									 USHORT, UINT32& rFmt )
 /*N*/ {
 /*N*/ 	UINT16 nSubType;
 /*N*/ 	*rIo.pStrm >> nSubType;
@@ -1621,7 +1621,7 @@
 /*N*/ }
 /*N*/ 
 /*N*/ SwField* lcl_sw3io_InDocStatField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 								   USHORT nSubType, ULONG& rFmt )
+/*N*/ 								   USHORT nSubType, UINT32& rFmt )
 /*N*/ {
 /*N*/ 	return new SwDocStatField( (SwDocStatFieldType*)pType, nSubType, rFmt );
 /*N*/ }
@@ -1636,7 +1636,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InDDEField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 							   USHORT, ULONG& )
+/*N*/ 							   USHORT, UINT32& )
 /*N*/ {
 /*N*/ 	pType = 0;
 /*N*/ 	if( rIo.nVersion < SWG_SHORTFIELDS )
@@ -1665,7 +1665,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InInputField40( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 								 USHORT, ULONG& )
+/*N*/ 								 USHORT, UINT32& )
 /*N*/ { //SW40.SDW  
 /*N*/ 	String aContent, aPrompt;
 /*N*/ 	UINT16 nSubType;
@@ -1676,7 +1676,7 @@
 /*N*/ }
 
 /*N*/ SwField* lcl_sw3io_InInputField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 								 USHORT nSubType, ULONG& )
+/*N*/ 								 USHORT nSubType, UINT32& )
 /*N*/ {
 /*N*/ 	String aContent, aPrompt;
 /*N*/ 	rIo.InString( *rIo.pStrm, aContent );
@@ -1700,7 +1700,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InMacroField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 								 USHORT, ULONG& )
+/*N*/ 								 USHORT, UINT32& )
 /*N*/ {
 /*N*/ 	String aName;
 /*N*/ 	String aText;
@@ -1718,7 +1718,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InTblField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 							   USHORT nSubType, ULONG& )
+/*N*/ 							   USHORT nSubType, UINT32& )
 /*N*/ {
 /*N*/ 	String aFormula, aText;
 /*N*/ 	UINT16 nSub = 0;
@@ -1754,7 +1754,7 @@
 /*  */
 
 /*N*/ SwField *lcl_sw3io_InGetExpField40( Sw3IoImp& rIo, SwFieldType *pType,
-/*N*/ 									USHORT nSubType, ULONG& rFmt )
+/*N*/ 									USHORT nSubType, UINT32& rFmt )
 /*N*/ { //SW40.SDW  
 /*N*/ 	String aText, aExpand;
 /*N*/ 	UINT16 nSub;
@@ -1774,7 +1774,7 @@
 /*N*/ }
 
 /*N*/ SwField* lcl_sw3io_InGetExpField( Sw3IoImp& rIo, SwFieldType *pType,
-/*N*/ 								  USHORT nSubType, ULONG& )
+/*N*/ 								  USHORT nSubType, UINT32& )
 /*N*/ {
 /*N*/ 	String aText, aExpand;
 /*N*/ 	rIo.InString( *rIo.pStrm, aText );
@@ -1804,7 +1804,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InSetExpField40( Sw3IoImp& rIo, SwFieldType *pType,
-/*N*/ 									USHORT nSubType, ULONG& rFmt )
+/*N*/ 									USHORT nSubType, UINT32& rFmt )
 /*N*/ {
 /*N*/ 	pType = 0;
 /*N*/ 	if( rIo.nVersion < SWG_SHORTFIELDS )
@@ -1884,7 +1884,7 @@
 /*N*/ }
 
 /*N*/ SwField* lcl_sw3io_InSetExpField( Sw3IoImp& rIo, SwFieldType *pType,
-/*N*/ 								  USHORT nSubType, ULONG& rFmt )
+/*N*/ 								  USHORT nSubType, UINT32& rFmt )
 /*N*/ {
 /*N*/ 	pType = 0;
 /*N*/ 
@@ -2005,7 +2005,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InHiddenParaField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									  USHORT, ULONG& )
+/*N*/ 									  USHORT, UINT32& )
 /*N*/ {
 /*N*/ 	BYTE bHidden;
 /*N*/ 	String aCond;
@@ -2025,7 +2025,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InDocInfoField40( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									 USHORT nSubType, ULONG& rFmt )
+/*N*/ 									 USHORT nSubType, UINT32& rFmt )
 /*N*/ { 
 /*N*/ 	UINT16 nSub;
 /*N*/ 	*rIo.pStrm >> nSub;
@@ -2037,7 +2037,7 @@
 /*N*/ }
 
 /*N*/ SwField* lcl_sw3io_InDocInfoField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 								   USHORT nSubType, ULONG& rFmt )
+/*N*/ 								   USHORT nSubType, UINT32& rFmt )
 /*N*/ {
 /*N*/ 	BYTE cFlags;
 /*N*/ 	SwDocInfoField *pFld = new SwDocInfoField( (SwDocInfoFieldType*)pType,
@@ -2098,7 +2098,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InTemplNameField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									 USHORT, ULONG& rFmt )
+/*N*/ 									 USHORT, UINT32& rFmt )
 /*N*/ {
 /*N*/ 	return new SwTemplNameField( (SwTemplNameFieldType*)pType, rFmt );
 /*N*/ }
@@ -2106,7 +2106,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InDBNextSetField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									 USHORT, ULONG& )
+/*N*/ 									 USHORT, UINT32& )
 /*N*/ {
 /*N*/ 	String aName, aCond, aDBName;
 /*N*/ 	rIo.InString( *rIo.pStrm, aCond );
@@ -2145,7 +2145,7 @@
 // in der exportierten Version auch verkehrt herum wieder ein.
 
 /*N*/ SwField* lcl_sw3io_InDBNumSetField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									USHORT, ULONG& )
+/*N*/ 									USHORT, UINT32& )
 /*N*/ {
 /*N*/ 	String aNumber, aCond, aDBName;
 /*N*/ 
@@ -2198,7 +2198,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InDBSetNumberField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									   USHORT, ULONG& )
+/*N*/ 									   USHORT, UINT32& )
 /*N*/ {
 /*N*/ 	String aDBName;
 /*N*/ 	INT32 n;
@@ -2234,7 +2234,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InExtUserField40( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									 USHORT, ULONG& )
+/*N*/ 									 USHORT, UINT32& )
 /*N*/ {
 /*N*/ 	String aData;
 /*N*/ 	UINT16 nSubType;
@@ -2246,7 +2246,7 @@
 /*N*/ }
 
 /*N*/ SwField* lcl_sw3io_InExtUserField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 								   USHORT nSubType, ULONG& )
+/*N*/ 								   USHORT nSubType, UINT32& )
 /*N*/ {
 /*N*/ 	String aData;
 /*N*/ 	rIo.InString( *rIo.pStrm, aData );
@@ -2281,7 +2281,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InRefPageSetField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									  USHORT, ULONG& )
+/*N*/ 									  USHORT, UINT32& )
 /*N*/ {
             INT16 nOffset;
             BYTE cIsOn;
@@ -2298,7 +2298,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InRefPageGetField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									  USHORT, ULONG& )
+/*N*/ 									  USHORT, UINT32& )
 /*N*/ {
             String aString;
             SwRefPageGetField *pFld = new SwRefPageGetField( (SwRefPageGetFieldType*)pType, 0 );
@@ -2314,7 +2314,7 @@
 
 /*  */
 
-/*N*/ SwField *lcl_sw3io_InINetField31( Sw3IoImp& rIo, SwFieldType *, USHORT, ULONG& )
+/*N*/ SwField *lcl_sw3io_InINetField31( Sw3IoImp& rIo, SwFieldType *, USHORT, UINT32& )
 /*N*/ {
 /*N*/ 	ASSERT( !(rIo.pFmtINetFmt || rIo.aINetFldText.Len()),
 /*N*/ 			"Da sind noch Rest-Infos vom INet-Feld!" );
@@ -2356,7 +2356,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InJumpEditField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									USHORT, ULONG& )
+/*N*/ 									USHORT, UINT32& )
 /*N*/ {
 /*N*/ 	String aText, aHelp;
 /*N*/ 	rIo.InString( *rIo.pStrm, aText );
@@ -2374,7 +2374,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InScriptField40( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 									USHORT, ULONG& )
+/*N*/ 									USHORT, UINT32& )
 /*N*/ {
         String aType, aCode;
         BYTE cFlags = 0;
@@ -2403,7 +2403,7 @@
 /*N*/ }
 
 /*N*/ SwField* lcl_sw3io_InScriptField( Sw3IoImp& rIo, SwFieldType* pType,
-/*N*/ 								  USHORT, ULONG& )
+/*N*/ 								  USHORT, UINT32& )
 /*N*/ {
         String aType, aCode;
         BYTE cFlags = 0;
@@ -2460,7 +2460,7 @@
 /*  */
 
 /*N*/ SwField* lcl_sw3io_InAuthorityField( Sw3IoImp& rIo, SwFieldType*,
-/*N*/ 								  USHORT, ULONG& )
+/*N*/ 								  USHORT, UINT32& )
 /*N*/ {
         rIo.OpenFlagRec();
 
@@ -2501,7 +2501,7 @@
 
 #define	SWG_FIELD 'y'
 
-typedef SwField *(*Sw3InFieldFn)( Sw3IoImp&, SwFieldType*, USHORT, ULONG& );
+typedef SwField *(*Sw3InFieldFn)( Sw3IoImp&, SwFieldType*, USHORT, UINT32& );
 
 static Sw3InFieldFn aInFieldFnTbl40[] =
 {
@@ -2840,7 +2840,7 @@
 /*N*/ 		return;
 /*N*/ 
 /*N*/ 	UINT16 nWhich = pType->Which();
-/*N*/ 	ULONG nFmt = pFld->GetFormat();
+/*N*/ 	sal_uInt32 nFmt = pFld->GetFormat();
 /*N*/ 
 /*N*/ 	if( SOFFICE_FILEFORMAT_40 >= pStrm->GetVersion() )
 /*N*/ 	{
Index: bf_sw/source/core/sw3io/sw_sw3imp.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/sw3io/sw_sw3imp.cxx,v
retrieving revision 1.6
retrieving revision 1.6.72.1
diff -u -r1.6 -r1.6.72.1
--- bf_sw/source/core/sw3io/sw_sw3imp.cxx	8 Sep 2005 10:01:25 -0000	1.6
+++ bf_sw/source/core/sw3io/sw_sw3imp.cxx	28 Apr 2006 08:58:39 -0000	1.6.72.1
@@ -273,14 +273,14 @@
 		Table()
 	{}
 
-	sal_Bool Insert( sal_uInt32 nKey, sal_uInt32 p )
+	sal_Bool Insert( ULONG nKey, sal_uInt32 p )
 	{
 		return Table::Insert( nKey, (void*)p );
 	}
 
-	sal_uInt32 GetObject( sal_uInt32 nPos ) const
+	sal_uInt32 GetObject( ULONG nPos ) const
 	{
-		return (sal_Int32)Table::GetObject( nPos );
+		return (sal_uIntPtr)Table::GetObject( nPos );
 	}
 };
 
@@ -487,12 +487,12 @@
 /*N*/ }
 #endif
 
-/*N*/ void Sw3IoImp::Error( sal_uInt32 nCode )
+/*N*/ void Sw3IoImp::Error( ULONG nCode )
 /*N*/ {
 /*N*/ 	nRes = nCode ? nCode : ERR_SWG_FILE_FORMAT_ERROR;
 /*N*/ }
  
-/*N*/ void Sw3IoImp::Warning( sal_uInt32 nCode )
+/*N*/ void Sw3IoImp::Warning( ULONG nCode )
 /*N*/ {
 /*N*/ 	nWarn = nCode ? nCode : WARN_SWG_FEATURES_LOST;
 /*N*/ }
@@ -907,7 +907,7 @@
 /*N*/ 		if( LONG_RECSIZE == nSize && IsVersion( SWG_LONGRECS ) )
 /*N*/ 		{
                 sal_uInt32 nTmp = GetRecordSize( nPos );
-/*?*/           if( nTmp != ULONG_MAX )
+/*?*/           if( nTmp != SAL_MAX_UINT32 )
 /*?*/               nSize = nTmp;
 /*N*/ 		}
 /*N*/ 
@@ -1022,14 +1022,15 @@
 
 sal_uInt32 Sw3IoImp::GetRecordSize( sal_uInt32 nPos )
 {
-    sal_uInt32 nTablePos, nRet = ULONG_MAX;
+    sal_uInt32 nRet = SAL_MAX_UINT32;
+    ULONG nTablePos;
 
     if( pRecSizes &&
         TABLE_ENTRY_NOTFOUND != pRecSizes->SearchKey( nPos, &nTablePos ) )
     {
         nRet = pRecSizes->GetObject( nTablePos );
     }
-    ASSERT( nRet != ULONG_MAX, "Record-Size nicht gefunden" );
+    ASSERT( nRet != SAL_MAX_UINT32, "Record-Size nicht gefunden" );
 
     return nRet;
 }
@@ -1042,14 +1043,14 @@
 
 // Zurueckliefern, wie viele Bytes ein Record noch enthaelt
 
-/*N*/ sal_uInt32 Sw3IoImp::BytesLeft()
+/*N*/ ULONG Sw3IoImp::BytesLeft()
 /*N*/ {
 /*N*/ 	sal_uInt16 nLvl = aRecSizes.Count();
-/*N*/ 	sal_uInt32 n = 0;
+/*N*/ 	ULONG n = 0;
 /*N*/ 	if( nLvl && !nRes )
 /*N*/ 	{
 /*N*/ 		sal_uInt32 nEndPos = aRecSizes[ nLvl-1 ];
-/*N*/ 		sal_uInt32 nPos = pStrm->Tell();
+/*N*/ 		ULONG nPos = pStrm->Tell();
 /*N*/ 		if( nEndPos > nPos )
 /*N*/ 			n = nEndPos - nPos;
 /*N*/ 	}
@@ -1094,7 +1095,7 @@
 /*N*/ 	CloseRec( c );
 /*N*/ }
 
-void Sw3IoImp::InRecSizes( sal_uInt32 nRecPos )
+void Sw3IoImp::InRecSizes( ULONG nRecPos )
 {
     ASSERT( !pRecSizes, "RecSize-Tabelle existiert noch" );
     ASSERT( nRecPos, "Keine Position der RecSize-Tabelle" );
@@ -1106,7 +1107,7 @@
         // Wenn der Stream vor dem Record steht, wird der Record
         // normal gelesen. Sonst wird erstmal zu ihm geseekt und
         // nach dem Lesen wieder am die aktuelle Stelle zurueck.
-        sal_uInt32 nOldPos = pStrm->Tell();
+        ULONG nOldPos = pStrm->Tell();
         if( nOldPos != nRecPos )
             pStrm->Seek( nRecPos );
 
@@ -1116,10 +1117,10 @@
         *pStrm >> nCount;
         CloseFlagRec();
 
-        for( sal_uInt32 i=0; i < (sal_uInt32)nCount; i++ )
+        for( sal_uInt32 i=0; i < nCount; i++ )
         {
             *pStrm >> nPos >> nSize;
-            pRecSizes->Insert( (sal_uInt32)nPos, nSize );
+            pRecSizes->Insert( nPos, nSize );
         }
 
         CloseRec( SWG_RECSIZES );
@@ -1129,9 +1130,9 @@
     }
 }
 
-sal_uInt32 Sw3IoImp::OutRecSizes()
+ULONG Sw3IoImp::OutRecSizes()
 {
-    sal_uInt32 nRecPos = 0;
+    ULONG nRecPos = 0;
     if( pRecSizes )
     {
         sal_uInt32 nCount = pRecSizes->Count();
Index: bf_sw/source/core/sw3io/sw_sw3misc.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/sw3io/sw_sw3misc.cxx,v
retrieving revision 1.7
retrieving revision 1.7.72.1
diff -u -r1.7 -r1.7.72.1
--- bf_sw/source/core/sw3io/sw_sw3misc.cxx	8 Sep 2005 10:02:02 -0000	1.7
+++ bf_sw/source/core/sw3io/sw_sw3misc.cxx	28 Apr 2006 08:58:39 -0000	1.7.72.1
@@ -879,8 +879,8 @@
 /*N*/ 		if( !pTOXBaseSect || !pTOXBaseSect->GetTOXType() )
 /*N*/ 			continue;
 /*N*/ 
-/*N*/ 		sal_uInt32 nStartIdx = pSectNd->GetIndex();
-/*N*/ 		sal_uInt32 nEndIdx = pSectNd->EndOfSectionIndex();
+/*N*/ 		ULONG nStartIdx = pSectNd->GetIndex();
+/*N*/ 		ULONG nEndIdx = pSectNd->EndOfSectionIndex();
 /*N*/ 
 /*N*/ 		// Skip TOXs that are not contained within the saved area completely.
 /*N*/ 		if( nStart >= nEndOfIcons && (nStartIdx < nStart || nEndIdx > nEnd) )
@@ -1000,7 +1000,7 @@
 
 // Die Marks eines Nodes schreiben
 
-/*N*/ void Sw3IoImp::OutNodeMarks( sal_uInt32 nIdx )
+/*N*/ void Sw3IoImp::OutNodeMarks( ULONG nIdx )
 /*N*/ {
 /*N*/ 	if(pMarks )
 /*N*/ 	{
@@ -2133,7 +2133,7 @@
 /*N*/ 											   pSectFmt->GetPoolFmtId() );
 /*N*/ 		const SwSectionFmt *pTitleSectFmt = 0;
 /*N*/ 
-/*N*/ 		sal_uInt32 nNextNdIdx = pSectNd->GetIndex() + 1;
+/*N*/ 		ULONG nNextNdIdx = pSectNd->GetIndex() + 1;
 /*N*/ 		const SwSectionNode *pNextSectNd =
 /*N*/ 			pDoc->GetNodes()[nNextNdIdx]->GetSectionNode();
 /*N*/ 			if( pNextSectNd &&
@@ -2476,8 +2476,12 @@
 /*N*/ 
 /*N*/ 	if( IsVersion(SWG_LONGIDX) )
 /*N*/ 	{
-/*N*/ 		*pStrm  >> aDocStat.nPage
-/*N*/ 				>> aDocStat.nPara;
+/*N*/ 		sal_uInt32 nPage, nPara;
+/*N*/ 		*pStrm >> nPage
+/*N*/ 			   >> nPara;
+/*N*/ 
+/*N*/ 		aDocStat.nPage = nPage;
+/*N*/ 		aDocStat.nPara = nPara;
 /*N*/ 	}
 /*N*/ 	else
 /*N*/ 	{
@@ -2489,9 +2493,12 @@
 /*N*/ 		aDocStat.nPara = nPara;
 /*N*/ 	}
 /*N*/ 
-/*N*/ 	*pStrm	>> aDocStat.nWord
-/*N*/ 			>> aDocStat.nChar
-/*N*/ 			>> c;
+/*N*/ 	sal_uInt32 w;
+/*N*/ 	*pStrm	>> w;
+/*N*/ 	aDocStat.nWord = w;
+/*N*/ 	*pStrm	>> w;
+/*N*/ 	aDocStat.nChar = w;
+/*N*/ 	*pStrm >> c;
 /*N*/ 
 /*N*/ 	aDocStat.bModified = c;
 /*N*/ 
Index: bf_sw/source/core/text/inftxt.hxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/text/inftxt.hxx,v
retrieving revision 1.5
retrieving revision 1.5.42.1
diff -u -r1.5 -r1.5.42.1
--- bf_sw/source/core/text/inftxt.hxx	19 Jan 2006 17:30:31 -0000	1.5
+++ bf_sw/source/core/text/inftxt.hxx	28 Apr 2006 08:58:39 -0000	1.5.42.1
@@ -182,7 +182,7 @@
  *						class SwTxtSizeInfo
  *************************************************************************/
 
-DECLARE_TABLE( SwTxtPortionTable, INT32 )
+DECLARE_TABLE( SwTxtPortionTable, sal_IntPtr )
 
 class SwTxtSizeInfo : public SwTxtInfo
 {
Index: bf_sw/source/core/text/sw_porlay.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/text/sw_porlay.cxx,v
retrieving revision 1.7
retrieving revision 1.7.70.1
diff -u -r1.7 -r1.7.70.1
--- bf_sw/source/core/text/sw_porlay.cxx	9 Sep 2005 02:29:52 -0000	1.7
+++ bf_sw/source/core/text/sw_porlay.cxx	28 Apr 2006 08:58:39 -0000	1.7.70.1
@@ -1235,7 +1235,7 @@
  *                      SwScriptInfo::Compress()
  *************************************************************************/
 
-/*N*/ long SwScriptInfo::Compress( long* pKernArray, xub_StrLen nIdx, xub_StrLen nLen,
+/*N*/ long SwScriptInfo::Compress( sal_Int32* pKernArray, xub_StrLen nIdx, xub_StrLen nLen,
 /*N*/                              const USHORT nCompress, const USHORT nFontHeight,
 /*N*/                              Point* pPoint ) const
 /*N*/ {
Index: bf_sw/source/core/txtnode/sw_fntcache.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/txtnode/sw_fntcache.cxx,v
retrieving revision 1.6
retrieving revision 1.6.70.1
diff -u -r1.6 -r1.6.70.1
--- bf_sw/source/core/txtnode/sw_fntcache.cxx	9 Sep 2005 02:39:43 -0000	1.6
+++ bf_sw/source/core/txtnode/sw_fntcache.cxx	27 Apr 2006 16:20:50 -0000	1.6.70.1
@@ -2271,7 +2271,7 @@
 /*?*/         {
 /*?*/             const USHORT nGridWidth = pGrid->GetBaseHeight();
 /*?*/ 
-/*?*/             long* pKernArray = new long[rInf.GetLen()];
+/*?*/             sal_Int32* pKernArray = new sal_Int32[rInf.GetLen()];
 /*?*/             rInf.GetOut().GetTextArray( rInf.GetText(), pKernArray,
 /*?*/                                         rInf.GetIdx(), rInf.GetLen() );
 /*?*/ 
@@ -2373,7 +2373,7 @@
 /*N*/ 			nLn = 1;
 /*N*/ 		else if( nLn > 2 * nTxtBreak )
 /*N*/ 			nLn = 2 * nTxtBreak;
-/*N*/ 		long *pKernArray = new long[ nLn ];
+/*N*/ 		sal_Int32 *pKernArray = new sal_Int32[ nLn ];
 /*N*/ 		rInf.GetOut().GetTextArray( rInf.GetText(), pKernArray,
 /*N*/ 									rInf.GetIdx(), nLn );
 /*N*/         if( rInf.GetScriptInfo()->Compress( pKernArray, rInf.GetIdx(), nLn,
Index: bf_sw/source/core/txtnode/sw_txtedt.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/txtnode/sw_txtedt.cxx,v
retrieving revision 1.6
retrieving revision 1.6.72.1
diff -u -r1.6 -r1.6.72.1
--- bf_sw/source/core/txtnode/sw_txtedt.cxx	9 Sep 2005 02:42:05 -0000	1.6
+++ bf_sw/source/core/txtnode/sw_txtedt.cxx	27 Apr 2006 16:20:50 -0000	1.6.72.1
@@ -560,12 +560,12 @@
 /*N*/                 pBreakIt->xBreak->getScriptType( rText, nBegin );
 /*N*/
 /*N*/         XubString aTmpWord = rText.Copy( nBegin, aBound.endPos - nBegin );
-/*N*/         const long nScriptEnd = nBegin +
+/*N*/         const sal_Int32 nScriptEnd = nBegin +
 /*N*/             pBreakIt->xBreak->endOfScript( aTmpWord, 0, nCurrScript );
-/*N*/         const long nEnd = Min( aBound.endPos, nScriptEnd );
+/*N*/         const sal_Int32 nEnd = Min( aBound.endPos, nScriptEnd );
 /*N*/
 /*N*/         // restrict word start to last script change position
-/*N*/         long nScriptBegin = 0;
+/*N*/         sal_Int32 nScriptBegin = 0;
 /*N*/         if ( aBound.startPos < nBegin )
 /*N*/         {
 /*N*/             // search from nBegin backwards until the next script change
@@ -583,9 +583,9 @@
 /*N*/         const USHORT nCurrScript =
 /*N*/                 pBreakIt->xBreak->getScriptType( rText, aBound.startPos );
 /*N*/         XubString aTmpWord = rText.Copy( aBound.startPos, aBound.endPos - aBound.startPos );
-/*N*/         const long nScriptEnd = aBound.startPos +
+/*N*/         const sal_Int32 nScriptEnd = aBound.startPos +
 /*N*/             pBreakIt->xBreak->endOfScript( aTmpWord, 0, nCurrScript );
-/*N*/         const long nEnd = Min( aBound.endPos, nScriptEnd );
+/*N*/         const sal_Int32 nEnd = Min( aBound.endPos, nScriptEnd );
 /*N*/         nBegin = (xub_StrLen)aBound.startPos;
 /*N*/         nLen = (xub_StrLen)(nEnd - nBegin);
 /*N*/     }
Index: bf_sw/source/core/unocore/sw_unoobj.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/unocore/sw_unoobj.cxx,v
retrieving revision 1.7
retrieving revision 1.7.70.1
diff -u -r1.7 -r1.7.70.1
--- bf_sw/source/core/unocore/sw_unoobj.cxx	9 Sep 2005 02:52:13 -0000	1.7
+++ bf_sw/source/core/unocore/sw_unoobj.cxx	27 Apr 2006 12:34:24 -0000	1.7.70.1
@@ -894,7 +894,7 @@
 		}
 
 		const SwNodes& rNds = rPam.GetDoc()->GetNodes();
-		for( sal_uInt32 n = nSttNd; n <= nEndNd; ++n )
+		for( ULONG n = nSttNd; n <= nEndNd; ++n )
 		{
 			const SwTxtNode* pNd = rNds[ n ]->GetTxtNode();
 			if( pNd )
Index: bf_sw/source/core/unocore/sw_unoobj2.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/unocore/sw_unoobj2.cxx,v
retrieving revision 1.5
retrieving revision 1.5.68.1
diff -u -r1.5 -r1.5.68.1
--- bf_sw/source/core/unocore/sw_unoobj2.cxx	9 Sep 2005 02:52:29 -0000	1.5
+++ bf_sw/source/core/unocore/sw_unoobj2.cxx	27 Apr 2006 12:36:26 -0000	1.5.68.1
@@ -1036,7 +1036,7 @@
 
 			// beim 1.Node traegt der Node die Werte in den GetSet ein (Initial)
 			// alle weiteren Nodes werden zum GetSet zu gemergt
-			for( sal_uInt32 n = nSttNd; n <= nEndNd; ++n )
+			for( ULONG n = nSttNd; n <= nEndNd; ++n )
 			{
 				SwNode* pNd = rPam.GetDoc()->GetNodes()[ n ];
 				switch( pNd->GetNodeType() )
